> ## Documentation Index
> Fetch the complete documentation index at: https://eigendb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stats of an index

> Get stats of an index containing its information.



## OpenAPI

````yaml /api-reference/specs/indexes.yaml get /api/v1/indexes/{indexName}/stats
openapi: 3.0.3
info:
  title: EigenDB REST API
  description: REST API for EigenDB.
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/v1/indexes/{indexName}/stats:
    get:
      summary: Get stats of an index
      description: Get stats of an index containing its information.
      operationId: getIndexStats
      parameters:
        - name: indexName
          in: path
          description: Name of the index
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Stats fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 200
                message: Stats for index 'my-index' fetched successfully.
                data:
                  index_name: my-index
                  dimensions: 1536
                  metric: cosine
        '500':
          description: An error occured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 500
                message: An error occured while fetching the index.
                error:
                  code: INDEX_NOT_FETCHED
                  description: detailed description of the error...
components:
  schemas:
    responseSchema:
      type: object
      properties:
        status:
          type: integer
          description: Status code of the response
        message:
          type: string
          description: Message giving basic information on the response
        data:
          type: object
          description: Important data to be given to the caller
        error:
          type: object
          description: An error that has occured
          properties:
            code:
              type: string
              description: An error code unique to this type of error
            description:
              type: string
              description: A detailed description of the error
      required:
        - status
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Eigen-API-Key

````